<?php
return array(
    'title' => __( 'Apartvilla Theme Options', BUNCH_NAME ),
    'logo' => get_template_directory_uri() . '/img/resources/logo-2.png',
    'menus' => array(
        // General Settings
         array(
             'title' => __( 'General Settings', BUNCH_NAME ),
            'name' => 'general_settings',
            'icon' => 'font-awesome:fa fa-cogs',
            'menus' => array(
                 
				array(
                    'title' => __( 'general Settings', BUNCH_NAME ),
                    'name' => 'general_sub_settings',
                    'icon' => 'font-awesome:fa fa-dashboard',
                    'controls' => array(
                        array(
                            'type' => 'toggle',
                            'name' => 'preloader',
                            'label' => __( 'Preloader', BUNCH_NAME ),
							'default' => 1,
							'description' => __('show or hide Preloader', BUNCH_NAME)
							
                        ),
					) 
                    
                ),
				/** Submenu for heading settings */
                array(
                     'title' => __( 'Header Settings', BUNCH_NAME ),
                    'name' => 'header_settings',
                    'icon' => 'font-awesome:fa fa-dashboard',
                    'controls' => array(
                        array(
                             'type' => 'upload',
                            'name' => 'site_favicon',
                            'label' => __( 'Favicon', BUNCH_NAME ),
                            'description' => __( 'Upload the favicon, should be 16x16', BUNCH_NAME ),
                            'default' => '' 
                        ),
						array(
							'type' => 'upload',
							'name' => 'side_logo_image',
							'label' => __('Side Menu Logo Image', BUNCH_NAME),
							'description' => __('Inser the logo image', BUNCH_NAME),
							'default' => get_template_directory_uri().'/img/resources/hidden-bar-logo.png'
						),
						array(
                            'type' => 'toggle',
                            'name' => 'side_menu',
                            'label' => __( 'Side Menu', BUNCH_NAME ),
							'default' => 0,
							'description' => __('show or hide Side menu', BUNCH_NAME)
						),
						 array(
							'type' => 'select',
							'name' => 'header_style',
							'label' => __( 'Choose Header Style', BUNCH_NAME ),
							'items' => array(
								 array(
									'value' => 'header_v1',
									'label' => __( 'Header Default', BUNCH_NAME ),
								),
								array(
									'value' => 'header_v2',
									'label' => __( 'Header Style 2', BUNCH_NAME ),
								),
								array(
									'value' => 'header_v3',
									'label' => __( 'Header Style 3', BUNCH_NAME ),
								),
								array(
									'value' => 'header_v4',
									'label' => __( 'Header One Page', BUNCH_NAME ),
								),
								
							),
							'default' => 'header_v1'
						),
						array(
							'type' => 'section',
							'title' => __('Header Default Settings', BUNCH_NAME),
							'name' => 'header_default_settings',
							'dependency' => array(
								'field' => 'header_style',
								'function' => 'vp_dep_style1',
							),
							'fields' => array(
								array(
									'type' => 'upload',
									'name' => 'header_v1_logo_image',
									'label' => __('Header Default Logo Image', BUNCH_NAME),
									'description' => __('Inser the logo image', BUNCH_NAME),
									'default' => get_template_directory_uri().'/img/resources/logo.png'
								),
								array(
									 'type' => 'textarea',
									'name' => 'header_v1_address',
									'label' => __( 'Address', BUNCH_NAME ),
									'description' => __( 'Enter the Address', BUNCH_NAME ),
									'default' => '176, Askarne lake, New York, NY- 10004,' 
								),
								array(
									'type' => 'textarea',
									'name' => 'header_v1_villa_features',
									'label' => __( 'Villa Features', BUNCH_NAME ),
									'description' => __( 'Enter the Villa Features 1 per line.', BUNCH_NAME ),
									'default' => ''
								),
								array(
									'type' => 'textbox',
									'name' => 'header_v1_villa_price',
									'label' => __( 'Villa Price', BUNCH_NAME ),
									'description' => __( 'Enter the Villa Price.', BUNCH_NAME ),
									'default' => '' 
								),
								array(
									'type' => 'toggle',
									'name' => 'header_v1_visit',
									'label' => __( 'Show/Hide Schedule visit', BUNCH_NAME ),
									'default' => 0,
									'description' => __('show or hide Schedule Visit Button', BUNCH_NAME)
								),
								array(
									'type' => 'builder',
									'repeating' => true,
									'sortable' => true,
									'label' => __( 'Slides', BUNCH_NAME ),
									'name' => 'header_v1_slides',
									'description' => __( 'This section is used to add Slides.', BUNCH_NAME ),
									'fields' => array(
										array(
											'type' => 'upload',
											'name' => 'v1_slide_img',
											'label' => __( 'Slide image', BUNCH_NAME ),
											'description' => __( 'choose the slide image.', BUNCH_NAME ),
											'default' => '',
											
										 ),  
									) 
								),
								
							),
						),
						array(
							'type' => 'section',
							'title' => __('Header Style2 Settings', BUNCH_NAME),
							'name' => 'header_style2_settings',
							'dependency' => array(
								'field' => 'header_style',
								'function' => 'vp_dep_style2',
							),
							'fields' => array(
								array(
									'type' => 'select',
									'name' => 'header_v2_call_back_page',
									'label' => __('Request Call Back Page', BUNCH_NAME),
									'description' => __('choose Request Call Back Page', BUNCH_NAME),
									'items' => array(
										'data' => array(
											array(
												'source' => 'function',
												'value' => 'vp_get_pages',
												),
											),
										)
								),
								array(
									 'type' => 'textbox',
									'name' => 'header_v2_email',
									'label' => __( 'Top bar Email', BUNCH_NAME ),
									'description' => __( 'Enter the top bar email', BUNCH_NAME ),
									'default' => ' info@aparttvilla.com' 
								),
								array(
									 'type' => 'textbox',
									'name' => 'header_v2_phone',
									'label' => __( 'Top bar Phone', BUNCH_NAME ),
									'description' => __( 'Enter the top bar phone', BUNCH_NAME ),
									'default' => '  1800 -984-9658' 
								),
								array(
									'type' => 'upload',
									'name' => 'header_v2_logo_image',
									'label' => __('Header Style 2 Logo Image', BUNCH_NAME),
									'description' => __('Inser the logo image', BUNCH_NAME),
									'default' => get_template_directory_uri().'/img/resources/header-inner-logo.png'
								),
							),
						),
						array(
							'type' => 'section',
							'title' => __('Header Style3 Settings', BUNCH_NAME),
							'name' => 'header_style3_settings',
							'dependency' => array(
								'field' => 'header_style',
								'function' => 'vp_dep_style3',
							),
							'fields' => array(
								array(
									'type' => 'select',
									'name' => 'header_v3_call_back_page',
									'label' => __('Request Call Back Page', BUNCH_NAME),
									'description' => __('choose Request Call Back Page', BUNCH_NAME),
									'items' => array(
										'data' => array(
											array(
												'source' => 'function',
												'value' => 'vp_get_pages',
												),
											),
										)
								),
								array(
									 'type' => 'textbox',
									'name' => 'header_v3_email',
									'label' => __( 'Top bar Email', BUNCH_NAME ),
									'description' => __( 'Enter the top bar email', BUNCH_NAME ),
									'default' => ' info@aparttvilla.com' 
								),
								array(
									 'type' => 'textbox',
									'name' => 'header_v3_phone',
									'label' => __( 'Top bar Phone', BUNCH_NAME ),
									'description' => __( 'Enter the top bar phone', BUNCH_NAME ),
									'default' => '  1800 -984-9658' 
								),
								array(
									'type' => 'upload',
									'name' => 'header_v3_logo_image',
									'label' => __('Header Style 3 Logo Image', BUNCH_NAME),
									'description' => __('Inser the logo image', BUNCH_NAME),
									'default' => get_template_directory_uri().'/img/resources/header-inner-logo.png'
								),
								array(
									 'type' => 'textarea',
									'name' => 'header_v3_address',
									'label' => __( 'Address', BUNCH_NAME ),
									'description' => __( 'Enter the Address', BUNCH_NAME ),
									'default' => '176, Askarne lake, New York, NY- 10004,' 
								),
								array(
									'type' => 'textarea',
									'name' => 'header_v3_villa_features',
									'label' => __( 'Villa Features', BUNCH_NAME ),
									'description' => __( 'Enter the Villa Features 1 per line.', BUNCH_NAME ),
									'default' => ''
								),
								array(
									'type' => 'textbox',
									'name' => 'header_v3_villa_price',
									'label' => __( 'Villa Price', BUNCH_NAME ),
									'description' => __( 'Enter the Villa Price.', BUNCH_NAME ),
									'default' => '' 
								),
								array(
									'type' => 'toggle',
									'name' => 'header_v3_visit',
									'label' => __( 'Show/Hide Schedule visit', BUNCH_NAME ),
									'default' => 1,
									'description' => __('show or hide Schedule Visit Button', BUNCH_NAME)
								),
								array(
									'type' => 'builder',
									'repeating' => true,
									'sortable' => true,
									'label' => __( 'Slides', BUNCH_NAME ),
									'name' => 'header_v3_slides',
									'description' => __( 'This section is used to add Slides.', BUNCH_NAME ),
									'fields' => array(
										array(
											'type' => 'upload',
											'name' => 'v3_slide_img',
											'label' => __( 'Slide image', BUNCH_NAME ),
											'description' => __( 'choose the slide image.', BUNCH_NAME ),
											'default' => '',
											
										 ),  
									) 
								),
							),
						),
						array(
							'type' => 'section',
							'title' => __('Header Onepage Settings', BUNCH_NAME),
							'name' => 'header_onepage_settings',
							'dependency' => array(
								'field' => 'header_style',
								'function' => 'vp_dep_style4',
							),
							'fields' => array(
								array(
									'type' => 'select',
									'name' => 'header_v4_call_back_page',
									'label' => __('Request Call Back Page', BUNCH_NAME),
									'description' => __('choose Request Call Back Page', BUNCH_NAME),
									'items' => array(
										'data' => array(
											array(
												'source' => 'function',
												'value' => 'vp_get_pages',
												),
											),
										)
								),
								array(
									 'type' => 'textbox',
									'name' => 'header_v4_email',
									'label' => __( 'Top bar Email', BUNCH_NAME ),
									'description' => __( 'Enter the top bar email', BUNCH_NAME ),
									'default' => ' info@aparttvilla.com' 
								),
								array(
									 'type' => 'textbox',
									'name' => 'header_v4_phone',
									'label' => __( 'Top bar Phone', BUNCH_NAME ),
									'description' => __( 'Enter the top bar phone', BUNCH_NAME ),
									'default' => '  1800 -984-9658' 
								),
								array(
									'type' => 'upload',
									'name' => 'header_v4_logo_image',
									'label' => __('Header Style 4 Logo Image', BUNCH_NAME),
									'description' => __('Inser the logo image', BUNCH_NAME),
									'default' => get_template_directory_uri().'/img/resources/header-inner-logo.png'
								),
								array(
									'type' => 'upload',
									'name' => 'header_v4_banner_bg_image',
									'label' => __('Header Style 4 Banner Image', BUNCH_NAME),
									'description' => __('Inser the logo image', BUNCH_NAME),
									'default' => get_template_directory_uri().'/img/banner-style-two/1.jpg'
								),
								array(
									'type' => 'textbox',
									'name' => 'header_v4_banner_heading',
									'label' => __( 'Banner Heading', BUNCH_NAME ),
									'description' => __( 'Enter the Banner heading', BUNCH_NAME ),
									'default' => __('Apartt Villa', BUNCH_NAME) 
								),
								array(
									'type' => 'textarea',
									'name' => 'header_v4_banner_address',
									'label' => __( 'Banner Address', BUNCH_NAME ),
									'description' => __( 'Enter the Banner address', BUNCH_NAME ),
									'default' => '176, Askarne lake, New York, NY- 10004, <br>United States' 
								),
								array(
									'type' => 'textbox',
									'name' => 'header_v4_banner_price',
									'label' => __( 'Banner Price', BUNCH_NAME ),
									'description' => __( 'Enter the Banner price', BUNCH_NAME ),
									'default' => __('$ 2,689,500', BUNCH_NAME) 
								),
								array(
									'type' => 'toggle',
									'name' => 'header_v4_visit',
									'label' => __( 'Show/Hide Schedule visit', BUNCH_NAME ),
									'default' => 0,
									'description' => __('show or hide Schedule Visit Button', BUNCH_NAME)
								),
								array(
									'type' => 'textbox',
									'name' => 'header_v4_contactform7_shortcode',
									'label' => __('Shortcode of contact form 7', BUNCH_NAME),
									'description' => __('Enter Shortcode of contact form 7', BUNCH_NAME),
									'default' => ''
								),
							),
						),
						/*array(
                            'type' => 'toggle',
                            'name' => 'topbar',
                            'label' => __( 'Show/Hide TopBar', BUNCH_NAME ),
							'default' => 1,
							'description' => __('Show/Hide TopBar', BUNCH_NAME)
							
                        ),
						array(
							'type' => 'section',
							'title' => __('Topbar Settings', BUNCH_NAME),
							'name' => 'topbar_settings',
							'dependency' => array(
								'field' => 'topbar',
								'function' => 'vp_dep_boolean',
							),
							'fields' => array(
								array(
									'type' => 'textbox',
									'name' => 'phone',
									'label' => __( 'Phone', BUNCH_NAME ),
									'description' => __( 'Enter the phone Number', BUNCH_NAME ),
									'default' => ' +49 123 456 789' 
								),
								array(
									'type' => 'textbox',
									'name' => 'topbar_email',
									'label' => __( 'Topbar Email', BUNCH_NAME ),
									'description' => __( 'Enter topbar Email', BUNCH_NAME ),
									'default' => 'support@email.com' 
								),
								array(
									'type' => 'textbox',
									'name' => 'opening_hours',
									'label' => __('Opening Hours', BUNCH_NAME),
									'description' => __('Enter the Opening Hours', BUNCH_NAME),
									'default' => 'Monday to Saturday - 8am to 9pm'
								),
								array(
									'type' => 'textbox',
									'name' => 'contact_number',
									'label' => __('Contact Number', BUNCH_NAME),
									'description' => __('Enter the Contact Numbers', BUNCH_NAME),
									'default' => '+1-800-654-3210'
								),
								
							),
						),*/
						array(
							'type' => 'section',
							'title' => __('Contact our Agent Settings', BUNCH_NAME),
							'name' => 'contact_agent_settings',
							'fields' => array(
								array(
									'type' => 'textbox',
									'name' => 'modal_title',
									'label' => __( 'Modal Box Title', BUNCH_NAME ),
									'description' => __( 'Enter the title for modal box', BUNCH_NAME ),
									'default' => __( 'Contact Our Agent', BUNCH_NAME ) 
								),
								array(
									'type' => 'textbox',
									'name' => 'agent_name',
									'label' => __( 'Agent Name', BUNCH_NAME ),
									'description' => __( 'Enter Agent Name', BUNCH_NAME ),
									'default' => __( 'Marry Doe', BUNCH_NAME ) 
								),
								array(
									'type' => 'textbox',
									'name' => 'agent_designation',
									'label' => __('Agent Designation', BUNCH_NAME),
									'description' => __('Enter the Agent Designation', BUNCH_NAME),
									'default' => __( 'Remax Certified Agent', BUNCH_NAME )
								),
								array(
									'type' => 'textbox',
									'name' => 'agent_phone',
									'label' => __('Agent Phone Number', BUNCH_NAME),
									'description' => __('Enter the agent phone number', BUNCH_NAME),
									'default' => '+1800 548 963'
								),
								array(
									'type' => 'textbox',
									'name' => 'agent_display_email',
									'label' => __('Agent Display Email', BUNCH_NAME),
									'description' => __('Enter the agent Email', BUNCH_NAME),
									'default' => 'info@contactmarrry.com'
								),
								array(
									'type' => 'upload',
									'name' => 'agent_image',
									'label' => __('Agent Image', BUNCH_NAME),
									'description' => __('Inser the Agent image', BUNCH_NAME),
									'default' => get_template_directory_uri().'/img/contact-agent-modal/1.png'
								),
								array(
									'type' => 'textbox',
									'name' => 'contactform7_shortcode',
									'label' => __('Shortcode of contact form 7', BUNCH_NAME),
									'description' => __('Enter Shortcode of contact form 7', BUNCH_NAME),
									'default' => ''
								),
								
							),
						),
						// Custom HEader Style End
                        array(
                             'type' => 'codeeditor',
                            'name' => 'header_css',
                            'label' => __( 'Header CSS', BUNCH_NAME ),
                            'description' => __( 'Write your custom css to include in header.', BUNCH_NAME ),
                            'theme' => 'github',
                            'mode' => 'css' 
                        ) 
                    ) 
                    
                ),
				/** Submenu for Header inner area */
                array(
                     'title' => __( 'Header Inner Pages Settings', BUNCH_NAME ),
                    'name' => 'sub_header_inner_settings',
                    'icon' => 'font-awesome:fa fa-dashboard',
                    'controls' => array(
                        array(
							'type' => 'select',
							'name' => 'header_inner_call_back_page',
							'label' => __('Request Call Back Page', BUNCH_NAME),
							'description' => __('choose Request Call Back Page', BUNCH_NAME),
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_pages',
										),
									),
								)
						),
						array(
							 'type' => 'textbox',
							'name' => 'header_inner_email',
							'label' => __( 'Top bar Email', BUNCH_NAME ),
							'description' => __( 'Enter the top bar email', BUNCH_NAME ),
							'default' => ' info@aparttvilla.com' 
						),
						array(
							 'type' => 'textbox',
							'name' => 'header_inner_phone',
							'label' => __( 'Top bar Phone', BUNCH_NAME ),
							'description' => __( 'Enter the top bar phone', BUNCH_NAME ),
							'default' => '  1800 -984-9658' 
						),
						array(
							'type' => 'upload',
							'name' => 'header_inner_logo_image',
							'label' => __('Header inner pages Logo Image', BUNCH_NAME),
							'description' => __('Inser the logo image', BUNCH_NAME),
							'default' => get_template_directory_uri().'/img/resources/header-inner-logo.png'
						),
                    ) 
                ), //End of submenu                
                /** Submenu for footer area */
                array(
                     'title' => __( 'Footer Settings', BUNCH_NAME ),
                    'name' => 'sub_footer_settings',
                    'icon' => 'font-awesome:fa fa-edit',
                    'controls' => array(
                        array(
                            'type' => 'toggle',
                            'name' => 'whole_footer',
                            'label' => __( 'Show/Hide Whole Footer', BUNCH_NAME ),
							'default' => 0,
							'description' => __('Show/Hide whole footer', BUNCH_NAME)
							
                        ),
						array(
                            'type' => 'upload',
                            'name' => 'footer_logo_image',
                            'label' => __( 'choose footer logo', BUNCH_NAME ),
							'description' => __('choose footer logo', BUNCH_NAME)
							
                        ),
						array(
                            'type' => 'toggle',
                            'name' => 'footer_menu',
                            'label' => __( 'Show/Hide Footer Menu', BUNCH_NAME ),
							'default' => 0,
							'description' => __('Show/Hide footer Menu', BUNCH_NAME)
							
                        ),
						
						array(
							'type' => 'textarea',
							'name' => 'copy_right',
							'label' => __( 'Copy Right Text', BUNCH_NAME ),
							'description' => __( 'Enter the Copy Right Text', BUNCH_NAME ),
							'default' => 'Copryright 2015 by Apartvilla | All rights reserved'
						),
                        
                    ) 
                ), //End of submenu
				//twitter
				/*array(
                     'title' => __( 'Twitter Settings', BUNCH_NAME ),
                    'name' => 'sub_twitter_settings',
                    'icon' => 'font-awesome:fa fa-twitter',
                    'controls' => array(
                        
                         array(
                             'type' => 'textbox',
                            'name' => 'twitter_api',
                            'label' => __( 'API', BUNCH_NAME ),
                            'description' => __( 'Enter Twitter API key Here.', BUNCH_NAME ),
                            'default' => 'EAVuZPOFDqh6YJRoIUn4danY8' 
                        ),
                        
                        array(
                             'type' => 'textbox',
                            'name' => 'twitter_api_secret',
                            'label' => __( 'API Secret', BUNCH_NAME ),
                            'description' => __( 'Enter Twitter API Secret Here.', BUNCH_NAME ),
                            'default' => 'HZ5lBxAooSWbLIyva9SioNbzLoPfzk9yKxLscMUGRwGt5XzIyv' 
                        ),
                        array(
                             'type' => 'textbox',
                            'name' => 'twitter_token',
                            'label' => __( 'Token', BUNCH_NAME ),
                            'description' => __( 'Enter Twitter Token here.', BUNCH_NAME ),
                            'default' => '2595337447-sQiBf41a0BYokzTyULmP6LDpC28MU6ajCtllgHq' 
                        ),
                        array(
                             'type' => 'textbox',
                            'name' => 'twitter_token_Secret',
                            'label' => __( 'Token Secret', BUNCH_NAME ),
                            'description' => __( 'Enter Token Secret', BUNCH_NAME ),
                            'default' => 'tjeQG0UiRZLJLua9phO0eVMv5ZpQRvx4Z0dS4b3dwEpk7' 
                        ) 
                    ) 
                ),*/ //End of submenu
                
            ) 
        ),
		//Permalinks
        array(
                     'title' => __( 'Permalinks Settings', BUNCH_NAME ),
                    'name' => 'permalinks_settings',
                    'icon' => 'font-awesome:fa fa-link',
                    'controls' => array(
                         array(
                             'type' => 'section',
                            'name' => 'post_type_permalink_section',
                            'title' => 'Post Type Permalinks',
                            'fields' => array(
                                array(
                                     'type' => 'textbox',
                                    'name' => 'service_permalink',
                                    'label' => __( 'Services Permalink', BUNCH_NAME ),
                                    'description' => __( 'Enter Slug for Services Post Type.', BUNCH_NAME ),
                                    'default' => '' 
                                ),
                                array(
                                     'type' => 'textbox',
                                    'name' => 'gallery_permalink',
                                    'label' => __( 'Gallery Permalink', BUNCH_NAME ),
                                    'description' => __( 'Enter Slug for Gallery Post Type.', BUNCH_NAME ),
                                    'default' => '' 
                                ),
                                array(
                                     'type' => 'textbox',
                                    'name' => 'testimonial_permalink',
                                    'label' => __( 'Testimonial Permalink', BUNCH_NAME ),
                                    'description' => __( 'Enter Permalink for Testimonial Post Type.', BUNCH_NAME ),
                                    'default' => '' 
                                ) 
                            ) 
                        ),
                        array(
                             'type' => 'section',
                            'name' => 'category_permalink_section',
                            'title' => 'Category Permalinks',
                            'fields' => array(
                                array(
                                     'type' => 'textbox',
                                    'name' => 'services_category_permalink',
                                    'label' => __( 'Services Category Permalink', BUNCH_NAME ),
                                    'description' => __( 'Enter Slug for Services Taxonomy.', BUNCH_NAME ),
                                    'default' => '' 
                                ),
                                array(
                                     'type' => 'textbox',
                                    'name' => 'gallery_category_permalink',
                                    'label' => __( 'Gallery Category Permalink', BUNCH_NAME ),
                                    'description' => __( 'Enter Slug for Gallery Taxonomy.', BUNCH_NAME ),
                                    'default' => '' 
                                ),
                                array(
                                     'type' => 'textbox',
                                    'name' => 'testimonial_category_permalink',
                                    'label' => __( 'Testimonial Category Permalink', BUNCH_NAME ),
                                    'description' => __( 'Enter Permalink for Testimonial Taxonomy.', BUNCH_NAME ),
                                    'default' => '' 
                                ) 
                            ) 
                        ) 
                    ) 
                ),
		// SEO General settings Settings
        array(
             'title' => __( 'SEO Settings', BUNCH_NAME ),
            'name' => 'seo_settings',
            'icon' => 'font-awesome:fa fa-search',
			
			'controls' => array(
				
				array(
					 'type' => 'toggle',
					'name' => '_enable_seo',
					'label' => __( 'Enable SEO', BUNCH_NAME ),
					'description' => __( 'Enable or disable seo settings', BUNCH_NAME ),
					'default' => 1 
				),
				array( 
				 		'type' => 'section',
						'title' => __( 'Homepage Settings', BUNCH_NAME ),
						'name' => '_seo_homepage_settings',
						'description' => __( 'homepage meta title, meta description and meta keywords', BUNCH_NAME ),
						'fields' => array(
								array(
									 'type' => 'textbox',
									'name' => '_seo_home_meta_title',
									'label' => __( 'Meta Title', BUNCH_NAME ),
									'description' => __( 'Enter the Title you want to show on home page', BUNCH_NAME ),
									'default' => ''
								),
								array(
									'type' => 'textarea',
									'name' => '_seo_home_meta_description',
									'label' => __( 'Meta Description', BUNCH_NAME ),
									'description' => __( 'Enter the meta description for homepage', BUNCH_NAME ),
									'default' => ''
								),
								array(
									'type' => 'textarea',
									'name' => '_seo_home_meta_keywords',
									'label' => __( 'Meta Keywords', BUNCH_NAME ),
									'description' => __( 'Enter the comma separated keywords for homepage', BUNCH_NAME ),
									'default' => ''
								),
						),
				 ), /** End of homepage seo settings */
				 
				 array( 
				 		'type' => 'section',
						'title' => __( 'Archive Pages Settings', BUNCH_NAME ),
						'name' => '_seo_archive_settings',
						'description' => __( 'archive pages meta title, meta description and meta keywords', BUNCH_NAME ),
						'fields' => array(
								array(
									 'type' => 'textbox',
									'name' => '_seo_archive_meta_title',
									'label' => __( 'Meta Title', BUNCH_NAME ),
									'description' => __( 'Enter the Title you want to show on home page', BUNCH_NAME ),
									'default' => ''
								),
								array(
									'type' => 'textarea',
									'name' => '_seo_archive_meta_description',
									'label' => __( 'Meta Description', BUNCH_NAME ),
									'description' => __( 'Enter the meta description for homepage', BUNCH_NAME ),
									'default' => ''
								),
								array(
									'type' => 'textarea',
									'name' => '_seo_archive_meta_keywords',
									'label' => __( 'Meta Keywords', BUNCH_NAME ),
									'description' => __( 'Enter the comma separated keywords for homepage', BUNCH_NAME ),
									'default' => ''
								),
						),
				 ),/** End of archive page settings */
				
			), /** End of controls */
				
		), /** End of seo page settings */
		// Dynamic Clients Creator
       
		// Pages , Blog Pages Settings
        array(
             'title' => __( 'Page Settings', BUNCH_NAME ),
            'name' => 'general_settings',
            'icon' => 'font-awesome:fa fa-file',
            'menus' => array(
                
                // Search Page Settings 
                 array(
                     'title' => __( 'Search Page', BUNCH_NAME ),
                    'name' => 'search_page_settings',
                    'icon' => 'font-awesome:fa fa-search',
                    'controls' => array(
                        
						array(
                            'type' => 'textbox',
                            'name' => 'search_page_header_title',
                            'label' => __( 'Title', BUNCH_NAME ),
                            'description' => __( 'Enter Search Page Title .', BUNCH_NAME ),
                            'default' => '',
							
                        ),
						array(
                            'type' => 'upload',
                            'name' => 'search_page_header_img',
                            'label' => __( 'Header image', BUNCH_NAME ),
                            'description' => __( 'Enter Search Header image .', BUNCH_NAME ),
                            'default' => '',
							
                        ),
						array(
							 'type' => 'select',
							'name' => 'search_page_sidebar',
							'label' => __( 'Sidebar', BUNCH_NAME ),
							'items' => array(
								 'data' => array(
									 array(
										 'source' => 'function',
										'value' => 'bunch_get_sidebars_2' 
									) 
								) 
							),
							'default' => array(
								 '{{first}}' 
							) 
						),
						array(
							 'type' => 'radioimage',
							'name' => 'search_page_layout',
							'label' => __( 'Page Layout', BUNCH_NAME ),
							'description' => __( 'Choose the layout for blog pages', BUNCH_NAME ),
							
							'items' => array(
								 array(
									 'value' => 'left',
									'label' => __( 'Left Sidebar', BUNCH_NAME ),
									'img' => get_template_directory_uri() . '/img/vafpress/2cl.png' 
								),
								
								array(
									 'value' => 'right',
									'label' => __( 'Right Sidebar', BUNCH_NAME ),
									'img' => get_template_directory_uri() . '/img/vafpress/2cr.png' 
								),
								array(
									 'value' => 'full',
									'label' => __( 'Full Width', BUNCH_NAME ),
									'img' => get_template_directory_uri() . '/img/vafpress/1col.png' 
								),
								
							) 
						),
						array(
							'type' => 'select',
							'name' => 'search_blog_color',
							'label' => __( 'Blog Sidebar Color', BUNCH_NAME ),
							'description' => __( 'Choose Blog Sidebar Color', BUNCH_NAME ),
							'items' => array(
								 array(
									 'value' => 'blog_color1',
									'label' => __( 'Light Grey', BUNCH_NAME ),
								),
								array(
									 'value' => 'blog_color2',
									'label' => __( 'Dark Grey', BUNCH_NAME ),
								) 
							),
							'default' => 'blog_color1' 
						),
					) 
                ), // End of submenu
                
                // Archive Page Settings 
                array(
                     'title' => __( 'Archive Page', BUNCH_NAME ),
                    'name' => 'archive_page_settings',
                    'icon' => 'font-awesome:fa fa-archive',
                    'controls' => array(
                        array(
                            'type' => 'textbox',
                            'name' => 'archive_page_header_title',
                            'label' => __( 'Title', BUNCH_NAME ),
                            'description' => __( 'Enter Blog Page Title .', BUNCH_NAME ),
                            'default' => '',
							
                        ),
						array(
                            'type' => 'upload',
                            'name' => 'archive_page_header_img',
                            'label' => __( 'Header Image', BUNCH_NAME ),
                            'description' => __( 'Enter Header image url .', BUNCH_NAME ),
                            'default' => '',
							
                        ),
						array(
							'type' => 'select',
							'name' => 'archive_blog_style',
							'label' => __( 'Blog style', BUNCH_NAME ),
							'description' => __( 'Choose Blog style', BUNCH_NAME ),
							'items' => array(
								 array(
									 'value' => 'blog_style1',
									'label' => __( 'Blog style 1', BUNCH_NAME ),
								),
								array(
									 'value' => 'blog_style2',
									'label' => __( 'Blog style 2', BUNCH_NAME ),
								) 
							),
							'default' => 'blog_style1' 
						),
						array(
							'type' => 'section',
							'title' => __('Blog style 1 Settings', BUNCH_NAME),
							'name' => 'archive_blog_style_1_settings',
							'dependency' => array(
								'field' => 'archive_blog_style',
								'function' => 'vp_dep_blog_style2',
							),
							'fields' => array(
									array(
										'type' => 'select',
										'name' => 'archive_page_sidebar',
										'label' => __( 'Sidebar', BUNCH_NAME ),
										'items' => array(
											 'data' => array(
												 array(
													 'source' => 'function',
													'value' => 'bunch_get_sidebars_2' 
												) 
											) 
										),
										'default' => array(
											 '{{first}}' 
										) 
									),
									array(
										 'type' => 'radioimage',
										'name' => 'archive_page_layout',
										'label' => __( 'Page Layout', BUNCH_NAME ),
										'description' => __( 'Choose the layout for blog pages', BUNCH_NAME ),
										
										'items' => array(
											 array(
												 'value' => 'left',
												'label' => __( 'Left Sidebar', BUNCH_NAME ),
												'img' => get_template_directory_uri() . '/img/vafpress/2cl.png' 
											),
											array(
												 'value' => 'right',
												'label' => __( 'Right Sidebar', BUNCH_NAME ),
												'img' => get_template_directory_uri() . '/img/vafpress/2cr.png' 
											),
											array(
												 'value' => 'full',
												'label' => __( 'Full Width', BUNCH_NAME ),
												'img' => get_template_directory_uri() . '/img/vafpress/1col.png' 
											),
											 
											
										) 
									),
									array(
										'type' => 'select',
										'name' => 'archive_blog_color',
										'label' => __( 'Blog Sidebar Color', BUNCH_NAME ),
										'description' => __( 'Choose Blog Sidebar Color', BUNCH_NAME ),
										'items' => array(
											 array(
												 'value' => 'blog_color1',
												'label' => __( 'Light Grey', BUNCH_NAME ),
											),
											array(
												 'value' => 'blog_color2',
												'label' => __( 'Dark Grey', BUNCH_NAME ),
											) 
										),
										'default' => 'blog_color1' 
									),
								
							),
						),
						 
                    ) 
                ),
                
                // Author Page Settings 
                array(
                     'title' => __( 'Author Page', BUNCH_NAME ),
                    'name' => 'author_page_settings',
                    'icon' => 'font-awesome:fa fa-user',
                    'controls' => array(
                        array(
                            'type' => 'textbox',
                            'name' => 'author_page_header_title',
                            'label' => __( 'Title', BUNCH_NAME ),
                            'description' => __( 'Enter Author Page Title .', BUNCH_NAME ),
                            'default' => '',
							
                        ),
						array(
                            'type' => 'upload',
                            'name' => 'author_page_header_img',
                            'label' => __( 'Header Image', BUNCH_NAME ),
                            'description' => __( 'Enter Header image url .', BUNCH_NAME ),
                            'default' => '',
						),
						array(
							'type' => 'select',
							'name' => 'author_blog_style',
							'label' => __( 'Blog style', BUNCH_NAME ),
							'description' => __( 'Choose Blog style', BUNCH_NAME ),
							'items' => array(
								 array(
									 'value' => 'blog_style1',
									'label' => __( 'Blog style 1', BUNCH_NAME ),
								),
								array(
									 'value' => 'blog_style2',
									'label' => __( 'Blog style 2', BUNCH_NAME ),
								) 
							),
							'default' => 'blog_style1' 
						),
						array(
							'type' => 'section',
							'title' => __('Blog style 1 Settings', BUNCH_NAME),
							'name' => 'author_blog_style_1_settings',
							'dependency' => array(
								'field' => 'author_blog_style',
								'function' => 'vp_dep_blog_style2',
							),
							'fields' => array(
									array(
											 'type' => 'select',
											'name' => 'author_page_sidebar',
											'label' => __( 'Sidebar', BUNCH_NAME ),
											'items' => array(
												 'data' => array(
													 array(
														 'source' => 'function',
														'value' => 'bunch_get_sidebars_2' 
													) 
												) 
											),
											'default' => array(
												 '{{first}}' 
											) 
									),
									array(
										 'type' => 'radioimage',
										'name' => 'author_page_layout',
										'label' => __( 'Page Layout', BUNCH_NAME ),
										'description' => __( 'Choose the layout for blog pages', BUNCH_NAME ),
										
										'items' => array(
											 array(
												 'value' => 'left',
												'label' => __( 'Left Sidebar', BUNCH_NAME ),
												'img' => get_template_directory_uri() . '/img/vafpress/2cl.png' 
											),
											
											array(
												 'value' => 'right',
												'label' => __( 'Right Sidebar', BUNCH_NAME ),
												'img' => get_template_directory_uri() . '/img/vafpress/2cr.png' 
											),
											array(
												 'value' => 'full',
												'label' => __( 'Full Width', BUNCH_NAME ),
												'img' => get_template_directory_uri() . '/img/vafpress/1col.png' 
											),
										) 
									),
									array(
										'type' => 'select',
										'name' => 'author_blog_color',
										'label' => __( 'Blog Sidebar Color', BUNCH_NAME ),
										'description' => __( 'Choose Blog Sidebar Color', BUNCH_NAME ),
										'items' => array(
											 array(
												 'value' => 'blog_color1',
												'label' => __( 'Light Grey', BUNCH_NAME ),
											),
											array(
												 'value' => 'blog_color2',
												'label' => __( 'Dark Grey', BUNCH_NAME ),
											) 
										),
										'default' => 'blog_color1' 
									),
							),
						),
						 
                    ) 
                ),
                
                // 404 Page Settings 
               /* array(
                     'title' => __( '404 Page Settings', BUNCH_NAME ),
                    'name' => '404_page_settings',
                    'icon' => 'font-awesome:fa fa-exclamation-triangle',
                    'controls' => array(
                         array(
                             'type' => 'textbox',
                            'name' => '404_page_title',
                            'label' => __( 'Page Title', BUNCH_NAME ),
                            'description' => __( 'Enter the Title you want to show on 404 page', BUNCH_NAME ),
                            'default' => '404 Page not Found' 
                        ),
                        array(
                             'type' => 'textbox',
                            'name' => '404_page_heading',
                            'label' => __( 'Page Heading', BUNCH_NAME ),
                            'description' => __( 'Enter the Heading you want to show on 404 page', BUNCH_NAME ),
                            'default' => '404 Page not Found' 
                        ),
                        array(
                             'type' => 'textbox',
                            'name' => '404_page_tag_line',
                            'label' => __( 'Page Tagline', BUNCH_NAME ),
                            'description' => __( 'Enter the Tagline you want to show on 404 page', BUNCH_NAME ),
                            'default' => '404 Page not Found' 
                        ),
                        array(
                             'type' => 'textarea',
                            'name' => '404_page_text',
                            'label' => __( '404 Page Text', BUNCH_NAME ),
                            'description' => __( 'Enter the Text you want to show on 404 page', BUNCH_NAME ),
                            'default' => '' 
                        ),
                        array(
                             'type' => 'select',
                            'name' => '404_page_sidebar',
                            'label' => __( 'Sidebar', BUNCH_NAME ),
                            'items' => array(
                                 'data' => array(
                                     array(
                                         'source' => 'function',
                                        'value' => 'bunch_get_sidebars_2' 
                                    ) 
                                ) 
                            ),
                            'default' => array(
                                 '{{first}}' 
                            ) 
                        ),
                        array(
                             'type' => 'radioimage',
                            'name' => 'layout',
                            'label' => __( 'Page Layout', BUNCH_NAME ),
                            'description' => __( 'Choose the layout for blog pages', BUNCH_NAME ),
                            
                            'items' => array(
                                 array(
                                     'value' => 'left',
                                    'label' => __( 'Left Sidebar', BUNCH_NAME ),
                                    'img' => get_template_directory_uri() . '/includes/vafpress/public/img/2cl.png' 
                                ),
                                
                                array(
                                     'value' => 'right',
                                    'label' => __( 'Right Sidebar', BUNCH_NAME ),
                                    'img' => get_template_directory_uri() . '/includes/vafpress/public/img/2cr.png' 
                                ),
                                array(
                                     'value' => 'full',
                                    'label' => __( 'Full Width', BUNCH_NAME ),
                                    'img' => get_template_directory_uri() . '/includes/vafpress/public/img/1col.png' 
                                ) 
                                
                            ) 
                        ),
                        array(
                             'type' => 'upload',
                            'name' => '404_page_bg',
                            'label' => __( 'Background  Image', BUNCH_NAME ),
                            'description' => __( 'Upload Image for 404 Page Background', BUNCH_NAME ),
                            'default' => get_template_directory_uri() . '/images/logo.png' 
                        ) 
                    ) 
                ) */
            ) 
        ),
        
        // Sidebar Creator
        array(
             'title' => __( 'Sidebar Settings', BUNCH_NAME ),
            'name' => 'sidebar-settings',
            'icon' => 'font-awesome:fa fa-bars',
            'controls' => array(
                 array(
                     'type' => 'builder',
                    'repeating' => true,
                    'sortable' => true,
                    'label' => __( 'Dynamic Sidebar', BUNCH_NAME ),
                    'name' => 'dynamic_sidebar',
                    'description' => __( 'This section is used for theme color settings', BUNCH_NAME ),
                    'fields' => array(
                         array(
                             'type' => 'textbox',
                            'name' => 'sidebar_name',
                            'label' => __( 'Sidebar Name', BUNCH_NAME ),
                            'description' => __( 'Choose the default color scheme for the theme.', BUNCH_NAME ),
                            'default' => __( 'Dynamic Sidebar', BUNCH_NAME ) 
                        ) 
                    ) 
                ) 
            ) 
        ),
        
        // Dynamic Social Media Creator
       /* array(
             'title' => __( 'Social Media ', BUNCH_NAME ),
            'name' => 'social_media',
            'icon' => 'font-awesome:fa fa-share-square',
            'controls' => array(
                 array(
                     'type' => 'builder',
                    'repeating' => true,
                    'sortable' => true,
                    'label' => __( 'Social Media', BUNCH_NAME ),
                    'name' => 'social_media',
                    'description' => __( 'This section is used to add Social Media.', BUNCH_NAME ),
                    'fields' => array(
                         array(
                             'type' => 'textbox',
                            'name' => 'title',
                            'label' => __( 'Title', BUNCH_NAME ),
                            'description' => __( 'Enter the title of the social media.', BUNCH_NAME ), 
                        ),
						 array(
                             'type' => 'textbox',
                            'name' => 'social_link',
                            'label' => __( 'Link', BUNCH_NAME ),
                            'description' => __( 'Enter the Link for Social Media.', BUNCH_NAME ),
                            'default' => '#'
                        ),
                        array(
                            'type' => 'select',
                            'name' => 'social_icon',
                            'label' => __( 'Icon', BUNCH_NAME ),
                            'description' => __( 'Choose Icon for Social Media.', BUNCH_NAME ),
							'items' => array(
								'data' => array(
									array(
										'source' => 'function',
										'value' => 'vp_get_social_medias',
									),
								),
							),
                        )  
                    ) 
                ) 
            ) 
        ),*/
        /* Font settings */
        array(
             'title' => __( 'Font Settings', BUNCH_NAME ),
            'name' => 'font_settings',
            'icon' => 'font-awesome:fa fa-font',
            'menus' => array(
                /** heading font settings */
                 array(
                     'title' => __( 'Heading Font', BUNCH_NAME ),
                    'name' => 'heading_font_settings',
                    'icon' => 'font-awesome:fa fa-text-height',
                    
                    'controls' => array(
                        
                         array(
                             'type' => 'toggle',
                            'name' => 'use_custom_font',
                            'label' => __( 'Use Custom Font', BUNCH_NAME ),
                            'description' => __( 'Use custom font or not', BUNCH_NAME ),
                            'default' => 0 
                        ),
                        array(
                            'type' => 'section',
                            'title' => __( 'H1 Settings', BUNCH_NAME ),
                            'name' => 'h1_settings',
                            'description' => __( 'heading 1 font settings', BUNCH_NAME ),
                            'dependency' => array(
                                 'field' => 'use_custom_font',
                                'function' => 'vp_dep_boolean' 
                            ),
                            'fields' => array(
                                 array(
                                     'type' => 'select',
                                    'label' => __( 'Font Family', BUNCH_NAME ),
                                    'name' => 'h1_font_family',
                                    'description' => __( 'Select the font family to use for h1', BUNCH_NAME ),
                                    'items' => array(
                                         'data' => array(
                                             array(
                                                 'source' => 'function',
                                                'value' => 'vp_get_gwf_family' 
                                            ) 
                                        ) 
                                    ) 
                                    
                                ),
                                
                                array(
                                     'type' => 'color',
                                    'name' => 'h1_font_color',
                                    'label' => __( 'Font Color', BUNCH_NAME ),
                                    'description' => __( 'Choose the font color for heading h1', BUNCH_NAME ),
                                    'default' => '#98ed28' 
                                ) 
                            ) 
                        ),
                        array(
                             'type' => 'section',
                            'title' => __( 'H2 Settings', BUNCH_NAME ),
                            'name' => 'h2_settings',
                            'description' => __( 'heading h2 font settings', BUNCH_NAME ),
                            'dependency' => array(
                                 'field' => 'use_custom_font',
                                'function' => 'vp_dep_boolean' 
                            ),
                            'fields' => array(
                                 array(
                                     'type' => 'select',
                                    'label' => __( 'Font Family', BUNCH_NAME ),
                                    'name' => 'h2_font_family',
                                    'description' => __( 'Select the font family to use for h2', BUNCH_NAME ),
                                    'items' => array(
                                         'data' => array(
                                             array(
                                                 'source' => 'function',
                                                'value' => 'vp_get_gwf_family' 
                                            ) 
                                        ) 
                                    ) 
                                ),
                                array(
                                     'type' => 'color',
                                    'name' => 'h2_font_color',
                                    'label' => __( 'Font Color', BUNCH_NAME ),
                                    'description' => __( 'Choose the font color for heading h1', BUNCH_NAME ),
                                    'default' => '#98ed28' 
                                ) 
                            ) 
                        ),
                        array(
                             'type' => 'section',
                            'title' => __( 'H3 Settings', BUNCH_NAME ),
                            'name' => 'h3_settings',
                            'description' => __( 'heading h3 font settings', BUNCH_NAME ),
                            'dependency' => array(
                                 'field' => 'use_custom_font',
                                'function' => 'vp_dep_boolean' 
                            ),
                            'fields' => array(
                                
                                 array(
                                     'type' => 'select',
                                    'label' => __( 'Font Family', BUNCH_NAME ),
                                    'name' => 'h3_font_family',
                                    'description' => __( 'Select the font family to use for h3', BUNCH_NAME ),
                                    'items' => array(
                                         'data' => array(
                                             array(
                                                 'source' => 'function',
                                                'value' => 'vp_get_gwf_family' 
                                            ) 
                                        ) 
                                    ) 
                                    
                                ),
                                array(
                                     'type' => 'color',
                                    'name' => 'h3_font_color',
                                    'label' => __( 'Font Color', BUNCH_NAME ),
                                    'description' => __( 'Choose the font color for heading h3', BUNCH_NAME ),
                                    'default' => '#98ed28' 
                                ) 
                            ) 
                        ),
                        
                        array(
                             'type' => 'section',
                            'title' => __( 'H4 Settings', BUNCH_NAME ),
                            'name' => 'h4_settings',
                            'description' => __( 'heading h4 font settings', BUNCH_NAME ),
                            'dependency' => array(
                                 'field' => 'use_custom_font',
                                'function' => 'vp_dep_boolean' 
                            ),
                            'fields' => array(
                                
                                 array(
                                     'type' => 'select',
                                    'label' => __( 'Font Family', BUNCH_NAME ),
                                    'name' => 'h4_font_family',
                                    'description' => __( 'Select the font family to use for h4', BUNCH_NAME ),
                                    'items' => array(
                                         'data' => array(
                                             array(
                                                 'source' => 'function',
                                                'value' => 'vp_get_gwf_family' 
                                            ) 
                                        ) 
                                    ) 
                                    
                                ),
                                array(
                                     'type' => 'color',
                                    'name' => 'h4_font_color',
                                    'label' => __( 'Font Color', BUNCH_NAME ),
                                    'description' => __( 'Choose the font color for heading h4', BUNCH_NAME ),
                                    'default' => '#98ed28' 
                                ) 
                            ) 
                        ),
                        
                        array(
                             'type' => 'section',
                            'title' => __( 'H5 Settings', BUNCH_NAME ),
                            'name' => 'h5_settings',
                            'description' => __( 'heading h5 font settings', BUNCH_NAME ),
                            'dependency' => array(
                                 'field' => 'use_custom_font',
                                'function' => 'vp_dep_boolean' 
                            ),
                            'fields' => array(
                                
                                 array(
                                     'type' => 'select',
                                    'label' => __( 'Font Family', BUNCH_NAME ),
                                    'name' => 'h5_font_family',
                                    'description' => __( 'Select the font family to use for h5', BUNCH_NAME ),
                                    'items' => array(
                                         'data' => array(
                                             array(
                                                 'source' => 'function',
                                                'value' => 'vp_get_gwf_family' 
                                            ) 
                                        ) 
                                    ) 
                                    
                                ),
                                array(
                                     'type' => 'color',
                                    'name' => 'h5_font_color',
                                    'label' => __( 'Font Color', BUNCH_NAME ),
                                    'description' => __( 'Choose the font color for heading h5', BUNCH_NAME ),
                                    'default' => '#98ed28' 
                                ) 
                            ) 
                        ),
                        
                        array(
                             'type' => 'section',
                            'title' => __( 'H6 Settings', BUNCH_NAME ),
                            'name' => 'h6_settings',
                            'description' => __( 'heading h6 font settings', BUNCH_NAME ),
                            'dependency' => array(
                                 'field' => 'use_custom_font',
                                'function' => 'vp_dep_boolean' 
                            ),
                            'fields' => array(
                                
                                 array(
                                     'type' => 'select',
                                    'label' => __( 'Font Family', BUNCH_NAME ),
                                    'name' => 'h6_font_family',
                                    'description' => __( 'Select the font family to use for h6', BUNCH_NAME ),
                                    'items' => array(
                                         'data' => array(
                                             array(
                                                 'source' => 'function',
                                                'value' => 'vp_get_gwf_family' 
                                            ) 
                                        ) 
                                    ) 
                                    
                                ),
                                array(
                                     'type' => 'color',
                                    'name' => 'h6_font_color',
                                    'label' => __( 'Font Color', BUNCH_NAME ),
                                    'description' => __( 'Choose the font color for heading h6', BUNCH_NAME ),
                                    'default' => '#98ed28' 
                                ) 
                            ) 
                        ) 
                    ) 
                ),
                
                /** body font settings */
                array(
                     'title' => __( 'Body Font', BUNCH_NAME ),
                    'name' => 'body_font_settings',
                    'icon' => 'font-awesome:fa fa-text-width',
                    'controls' => array(
                         array(
                             'type' => 'toggle',
                            'name' => 'body_custom_font',
                            'label' => __( 'Use Custom Font', BUNCH_NAME ),
                            'description' => __( 'Use custom font or not', BUNCH_NAME ),
                            'default' => 0 
                        ),
                        array(
                             'type' => 'section',
                            'title' => __( 'Body Font Settings', BUNCH_NAME ),
                            'name' => 'body_font_settings1',
                            'description' => __( 'body font settings', BUNCH_NAME ),
                            'dependency' => array(
                                 'field' => 'body_custom_font',
                                'function' => 'vp_dep_boolean' 
                            ),
                            'fields' => array(
                                
                                 array(
                                     'type' => 'select',
                                    'label' => __( 'Font Family', BUNCH_NAME ),
                                    'name' => 'body_font_family',
                                    'description' => __( 'Select the font family to use for body', BUNCH_NAME ),
                                    'items' => array(
                                         'data' => array(
                                             array(
                                                 'source' => 'function',
                                                'value' => 'vp_get_gwf_family' 
                                            ) 
                                        ) 
                                    ) 
                                    
                                ),
                                
                                array(
                                     'type' => 'color',
                                    'name' => 'body_font_color',
                                    'label' => __( 'Font Color', BUNCH_NAME ),
                                    'description' => __( 'Choose the font color for heading body', BUNCH_NAME ),
                                    'default' => '#686868' 
                                ) 
                            ) 
                        ) 
                    ) 
                ) 
            ) 
        ), 
		
		
    ) 
);
/**
 *EOF
 */